Connection broken error bug

I’m stumped on this connection error and can’t seem to clear the issue no matter how many times I restart. This happened when I had a bot running, then just closed the terminal it was running from.

I ran this powershell script $chatparams = ‘-m’, ‘rasa_core.run’, ‘–enable_api’, ‘-d’, ‘<C:\GIT\rasabot\models\dialogue>’, ‘-u’, ‘<C:\GIT\rasabot\models\nlu\default\current>’, ‘-o’,‘out.log’

& python @chatparams

and then I get the error below.

Has anyone else run into this? How can I fix this?

PS C:\E_Bot> .\start_rasa_engine.ps1 Traceback (most recent call last): File “C:\Python36\lib\site-packages\urllib3\response.py”, line 331, in _error_catcher yield File “C:\Python36\lib\site-packages\urllib3\response.py”, line 413, in read data = self._fp.read(amt) File “C:\Python36\lib\http\client.py”, line 449, in read n = self.readinto(b) File “C:\Python36\lib\http\client.py”, line 493, in readinto n = self.fp.readinto(b) File “C:\Python36\lib\socket.py”, line 586, in readinto return self._sock.recv_into(b) ConnectionResetError: [WinError 10054] An existing connection was forcibly closed by the remote host

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “C:\Python36\lib\site-packages\requests\models.py”, line 749, in generate for chunk in self.raw.stream(chunk_size, decode_content=True): File “C:\Python36\lib\site-packages\urllib3\response.py”, line 465, in stream data = self.read(amt=amt, decode_content=decode_content) File “C:\Python36\lib\site-packages\urllib3\response.py”, line 430, in read raise IncompleteRead(self._fp_bytes_read, self.length_remaining) File “C:\Python36\lib\contextlib.py”, line 99, in exit self.gen.throw(type, value, traceback) File “C:\Python36\lib\site-packages\urllib3\response.py”, line 349, in _error_catcher raise ProtocolError(‘Connection broken: %r’ % e, e) urllib3.exceptions.ProtocolError: (“Connection broken: ConnectionResetError(10054, ‘An existing connection was forcibly closed by the remote host’, None, 10054, None)”, ConnectionResetError(10054, ‘An existing connection was forcibly closed by the remote host’, None, 10054, None))

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “C:\Python36\lib\runpy.py”, line 193, in run_module_as_main “main”, mod_spec) File “C:\Python36\lib\runpy.py”, line 85, in run_code exec(code, run_globals) File “C:\Python36\lib\site-packages\rasa_core\run.py”, line 18, in from rasa_core import constants, agent File “C:\Python36\lib\site-packages\rasa_core\agent.py”, line 24, in from rasa_core.channels import UserMessage, OutputChannel, InputChannel File "C:\Python36\lib\site-packages\rasa_core\channels_init.py", line 26, in from rasa_core.channels.telegram import TelegramInput File “C:\Python36\lib\site-packages\rasa_core\channels\telegram.py”, line 8, in from telegram import ( File "C:\Python36\lib\site-packages\telegram_init.py", line 45, in from .files.file import File File “C:\Python36\lib\site-packages\telegram\files\file.py”, line 22, in from future.backports.urllib import parse as urllib_parse File “C:\Python36\lib\site-packages\future\backports_init_.py”, line 14, in import_top_level_modules() File “C:\Python36\lib\site-packages\future\standard_library_init_.py”, line 808, in import_top_level_modules with exclude_local_folder_imports(*TOP_LEVEL_MODULES): File “C:\Python36\lib\site-packages\future\standard_library_init_.py”, line 779, in enter module = import(m, level=0) File “C:\E_Bot\test.py”, line 4, in response = requests.post(“http://localhost:5005/conversations/N/respond",data={“query”:"Hi”}) File “C:\Python36\lib\site-packages\requests\api.py”, line 112, in post return request(‘post’, url, data=data, json=json, **kwargs) File “C:\Python36\lib\site-packages\requests\api.py”, line 58, in request return session.request(method=method, url=url, **kwargs) File “C:\Python36\lib\site-packages\requests\sessions.py”, line 512, in request resp = self.send(prep, **send_kwargs) File “C:\Python36\lib\site-packages\requests\sessions.py”, line 662, in send r.content File “C:\Python36\lib\site-packages\requests\models.py”, line 827, in content self._content = b’’.join(self.iter_content(CONTENT_CHUNK_SIZE)) or b’’ File “C:\Python36\lib\site-packages\requests\models.py”, line 752, in generate raise ChunkedEncodingError(e) requests.exceptions.ChunkedEncodingError: (“Connection broken: ConnectionResetError(10054, ‘An existing connection was forcibly closed by the remote host’, None, 10054, None)”, ConnectionResetError(10054, 'An existing connection was forc

I guess something is killing your connection, do you have some restrictions on your machine?

I do have a couple things locked down, but it was running just fine on the same device until it was shut down unexpectedly, then it started running into this issue.